# Interface IXmlableObject

#### Hierarchy

- Object
  - IXmlableObject

- Defined in src/file/xml-components/xmlable-object.ts:4

#####
Index

### Properties

_attr?
constructor
should

### Methods

hasOwnProperty
isPrototypeOf
propertyIsEnumerable
toLocaleString
toString
valueOf

## Properties

### `Optional` `Readonly` _attr

_attr?: IXmlAttribute

- Defined in src/file/xml-components/xmlable-object.ts:5

### constructor

constructor: Function

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

Inherited from Object.constructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:124

### should

should: Assertion

Inherited from Object.should

- Defined in node_modules/@types/chai/index.d.ts:1976

## Methods

### hasOwnProperty

- hasOwnProperty(v: PropertyKey): boolean

- Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

  Inherited from Object.hasOwnProperty

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:139

### isPrototypeOf

- isPrototypeOf(v: Object): boolean

- Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

  Inherited from Object.isPrototypeOf

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:145

### propertyIsEnumerable

- propertyIsEnumerable(v: PropertyKey): boolean

- Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

  Inherited from Object.propertyIsEnumerable

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:151

### toLocaleString

- toLocaleString(): string

- Returns a date converted to a string using the current locale.

  #### Returns string

  Inherited from Object.toLocaleString

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:130

### toString

- toString(): string

- Returns a string representation of an object.

  #### Returns string

  Inherited from Object.toString

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:127

### valueOf

- valueOf(): Object

- Returns the primitive value of the specified object.

  #### Returns Object

  Inherited from Object.valueOf

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:133

Generated using TypeDoc